Generate descriptions in batch
curl --request POST \
--url https://api.app.hrizn.io/v1/public/inventory/descriptions/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"vins": [
"<string>"
]
}
'import requests
url = "https://api.app.hrizn.io/v1/public/inventory/descriptions/batch"
payload = { "vins": ["<string>"] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({vins: ['<string>']})
};
fetch('https://api.app.hrizn.io/v1/public/inventory/descriptions/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({vins: ['<string>']})
};
fetch('https://api.app.hrizn.io/v1/public/inventory/descriptions/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/inventory/descriptions/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'vins' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"items": [
{
"vin": "1G1FY6EV0VF102843",
"status": "generating",
"component_id": "06e57167-6840-49db-8153-585583e9a99b"
},
{
"vin": "1G1FY6EV3VF104666",
"status": "generating",
"component_id": "24d9a97a-b672-46d0-9eb3-eb215262e4d8"
}
],
"message": "Generation typically completes within a few minutes. Configure webhooks to receive real-time status notifications: https://api-docs.hrizn.io/webhooks"
}
}
Generate descriptions (batch)
Trigger description generation for up to 50 vehicles
POST
/
inventory
/
descriptions
/
batch
Generate descriptions in batch
Triggers AI description generation for multiple vehicles at once (1-50 VINs).
Scope required:
inventory:write
Request body
Array of VINs (11-17 characters each, max 50).
{
"data": {
"items": [
{
"vin": "1G1FY6EV0VF102843",
"status": "generating",
"component_id": "06e57167-6840-49db-8153-585583e9a99b"
},
{
"vin": "1G1FY6EV3VF104666",
"status": "generating",
"component_id": "24d9a97a-b672-46d0-9eb3-eb215262e4d8"
}
],
"message": "Generation typically completes within a few minutes. Configure webhooks to receive real-time status notifications: https://api-docs.hrizn.io/webhooks"
}
}
Description generation is asynchronous and typically completes within a few minutes. Configure webhooks to receive real-time
inventory.description.batch_completed notifications instead of polling.Authorizations
Your Hrizn API key (prefix hzk_)
Body
application/json
Required array length:
1 - 50 elementsRequired string length:
11 - 17Last modified on February 28, 2026
⌘I
